> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Group memberships resources

Group memberships signify that a user is a part of the group.

## Group membership

Membership is used to signify that a user is part of a group.

<Accordion title="Attributes and example">
  | Property      | Type                                                   | Required | Description                                                                         |
  | ------------- | ------------------------------------------------------ | -------- | ----------------------------------------------------------------------------------- |
  | `id`          | `string`                                               | No       | The unique identifier for this group membership.                                    |
  | `type`        | `enum<string>`                                         | No       | The value will always be `group_membership`. Available options: `group_membership`. |
  | `user`        | [User (Mini)](/reference/users-resources#user-mini)    | No       | The user that the membership applies to.                                            |
  | `group`       | [Group (Mini)](/reference/groups-resources#group-mini) | No       | The group that the membership applies to.                                           |
  | `role`        | `enum<string>`                                         | No       | The role of the user in the group. Available options: `member`, `admin`.            |
  | `created_at`  | `string`                                               | No       | The time this membership was created.                                               |
  | `modified_at` | `string`                                               | No       | The time this membership was last modified.                                         |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "group_membership",
    "user": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "group": {
      "id": "11446498",
      "type": "group",
      "name": "Support",
      "group_type": "managed_group"
    },
    "role": "member",
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00"
  }
  ```
</Accordion>

## Group memberships

A list of group memberships.

<Accordion title="Attributes and example">
  | Property      | Type                                           | Required | Description                                                                                                                                                                                                                                                                                |
  | ------------- | ---------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
  | `total_count` | `integer`                                      | No       | One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than `total_count`. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
  | `limit`       | `integer`                                      | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.                                                                                                     |
  | `offset`      | `integer`                                      | No       | The 0-based offset of the first entry in this set. This will be the same as the `offset` query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.                                             |
  | `order`       | array of `object`                              | No       | The order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.                                                                                                                |
  | `entries`     | array of [Group membership](#group-membership) | No       | A list of group memberships.                                                                                                                                                                                                                                                               |

  ```json Example theme={null}
  {
    "total_count": 5000,
    "limit": 1000,
    "offset": 2000,
    "order": [
      {
        "by": "type",
        "direction": "ASC"
      }
    ],
    "entries": [
      {
        "id": "11446498",
        "type": "group_membership",
        "user": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "group": {
          "id": "11446498",
          "type": "group",
          "name": "Support",
          "group_type": "managed_group"
        },
        "role": "member",
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00"
      }
    ]
  }
  ```
</Accordion>
